Skip to main content
GET
List workflows

Headers

x-anyreach-org
string | null

Organization ID for user PATs (pat_ prefix tokens)

Query Parameters

ids
string | null

Comma-separated workflow ids to fetch (e.g. recently accessed), at most 50. Selects cursor mode.

offset
integer | null

Offset of the first row. Selects offset mode.

Required range: x >= 0
limit
integer
default:20

Limit the number of workflows returned

Required range: 1 <= x <= 100
cursor
string | null

Cursor for pagination. Selects cursor mode.

sort
string | null

Sort by name, created_at, updated_at, created_by, modified_by, total_runs, last_run, live, published or label:. Default created_at.

dir
string | null

asc or desc (default desc)

search
string | null

Case-insensitive match on the workflow name

name
string | null

Filter workflows by name (in offset mode, an alias of search)

labels
string | null

JSON object of label filters: {"key": "value"}, {"key": ["any", "of"]} or {"key": null} for "not set"

live
boolean | null

Has a live version

published
boolean | null

Has a published version

has_trigger
boolean | null

The published (else latest) version has a trigger

trigger_status
string | null

Comma-separated subset of active, testing, inactive

created_by
string | null

Creator actor

modified_by
string | null

Last modifier actor

created_after
string<date-time> | null

Filter workflows created after this datetime

created_before
string<date-time> | null

Filter workflows created before this datetime

updated_after
string<date-time> | null

Filter workflows updated after this datetime

updated_before
string<date-time> | null

Filter workflows updated before this datetime

last_run_after
string<date-time> | null

Filter workflows last run after this datetime

last_run_before
string<date-time> | null

Filter workflows last run before this datetime

Response

Successful Response

data
WorkflowSchema · object[]
required
pagination
PaginationMeta · object
required